body {
  background-color: #f7f7f9;
  font-family: "poppins", Helvetica, sans-serif;
  width: 376px;
  margin: 0 auto;
}

.headline-main {
  background-color: #fff;
  height: 718px;
  border-bottom-left-radius: 60px;
  background-image: none;
  margin-bottom: 40px;
}

.header nav {
  justify-content: space-between;
  display: flex;
  height: 72px;
}

.header a {
  text-decoration: none;
  padding: 12px 16px;
}

.menu {
  height: 100vh;
  position: absolute;
  margin: 0;
  width: 340px;
  z-index: 100;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  background-color: #6070ff;
  opacity: 0.9;
  transition: top 1s ease;
  display: flex;
  top: -150%;
}

.menu li {
  list-style: none;
  padding-top: 10px;
}

.menu li:first-child {
  margin-top: 85px;
}

.menu li a {
  color: #fff;
  font-size: 25px;
}

.close-menu {
  position: absolute;
  top: 10px;
  right: 10px;
  color: #fff;
  font-weight: normal;
}

.open-menu,
.logo {
  font-size: 18px;
  font-weight: 700;
  color: #6070ff;
  display: flex;
  align-items: center;
}

.logo:hover {
  transform: scale(0.9);
}

.headline {
  background-image: url(images/header-shapes\ mobile.svg);
  background-repeat: no-repeat;
  background-position: center;
  background-size: 100% 100%;
  display: flex;
  flex-direction: column;
  padding: 50px 20px;
}

.about-me {
  background-color: #fff;
  background-image: none;

  /* height: 1263px; */
  margin-top: 100px;
  border-top-right-radius: 60px;
  border-bottom-left-radius: 0;
  padding: 40px 20px 100px 20px;
}

.headline h1 {
  font-family: "poppins", Helvetica, sans-serif;
  font-weight: 700;
  font-size: 48px;
  letter-spacing: 0.37px;
  color: #172b4d;
  line-height: 52px;
}

.headline p {
  font-size: 16px;
  line-height: 24px;
  font-weight: 400;
  color: #344563;
  text-align: justify;
}

.headline .lets-connect {
  text-decoration: none;
  text-transform: uppercase;
  color: #7f8cff;
  font-weight: 500;
  font-size: 16px;
  line-height: 24px;
}

.headline .social-icons {
  display: flex;
  margin-top: 12px;
  flex-wrap: wrap;
  padding-left: 0;
}

.headline .social-icons a {
  padding-right: 20px;
  font-size: 20px;
  color: #505f79;
  text-decoration: none;
}

.headline .social-icons li {
  list-style-type: none;
}

.card-works {
  display: grid;
  grid-template-columns: auto;
  grid-row-gap: 88px;
  padding: 16px;
}

.card {
  background-color: white;
  border: 1px solid #dfe1e6;
  border-radius: 8px;
  padding: 16px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;

  /* position: relative; */
}

.card h2,
.form-page h2 {
  font-size: 32px;
  color: #172b4d;
}

.card-works .title-role {
  display: flex;
  flex-wrap: wrap;
  padding: 0;
  margin: 0;
}

.card-works .title-role li {
  list-style-type: none;
  font-size: 13px;
  font-weight: 600;
  margin-right: 12px;
}

.role {
  color: #c1c7d0;
}

.card-works .title-role i {
  font-size: 8px;
  flex: 1;
}

.card-works .languages {
  display: flex;
  flex-wrap: wrap;
  padding: 0;
  margin: 0;
  height: 70px;
}

.card-works .languages li {
  list-style-type: none;
  margin-right: 12px;
}

.card-works .languages a {
  text-decoration: none;
  font-size: 12px;
  color: #6070ff;
  padding: 4px 12px;
  background-color: #ebebff;
  border-radius: 8px;
  font-weight: 500;
}

.card .card-img-container,
.card-img-container img {
  width: 100%;
}

.modal-container {
  width: 100%;
  height: 1000px;
  position: relative;
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  top: -100px;
  right: -20px;
  left: 0;
  margin: 0;
  background-color: #e5e5e5;
  z-index: 10;
}

.modal {
  width: 80%;
  height: 80%;
  position: relative;
  position: absolute;
  align-self: center;
  padding: 15px;
  overflow: hidden;
  z-index: 10;
  background-color: #fff;
  border: 1px solid #fff;
  border-radius: 12px;
}

.close-modal {
  position: absolute;
  top: 10px;
  right: 10px;
  color: #bdb9b9;
  font-weight: normal;
}

.modal-1,
.modal-2,
.modal-3,
.modal-4 {
  display: none;
}

.live-link,
.source-link {
  display: block;
  width: 90px;
  text-decoration: none;
  color: #396df2;
  border: 1px solid #6070ff;
  padding: 10px;
  border-radius: 8px;
  margin: 30px 10px 0 10px;
  float: left;
}

.resume-button.button {
  width: 180px;
  font-family: "poppins", Helvetica, sans-serif;
}

button {
  font-size: 17px;
  color: #396df2;
  font-weight: 600;
  border: 1px solid #6070ff;
  padding: 12px;
  border-radius: 8px;
  width: 124px;
}

button:hover {
  box-shadow: 0 8px rgba(64, 83, 252, 0.24);
  background-color: #6070ff;
  color: #fff;
}

button:disabled {
  border: 1px solid #c1c7d0;
  cursor: not-allowed;
  color: #5e6c84;
}

button:active {
  background: #2230d2;
  color: #fff;
}

.skill-list {
  display: grid;
  grid-template-columns: auto;
  list-style: none;
  padding: 0;
}

.list-head {
  display: flex;
  justify-content: space-between;
  list-style: none;
  padding: 23px 0;
  font-size: 20px;
  color: #000;
  border-bottom: 1px solid #dfe1e6;
}

.first {
  border-bottom: none;
}

.second-list {
  border: 1px solid #f7f7f9;
  background-color: #f7f7f9;
  border-radius: 8px;
  margin: 12px 0;
  padding: 12px;
  font-size: 15px;
  display: flex;
  align-items: center;
}

.second-list span {
  padding: 12px;
}

.form-container {
  background-image: url("images/Contact_me.svg");
  background-repeat: no-repeat;
  background-size: 100% 100%;
  background-position: center;
  height: 779px;
  position: relative;
  border: 1px solid #fff;
  margin-top: -60px;
}

.form-page {
  height: 650px;
  display: flex;
  flex-direction: column;
  margin-top: 103px;
  align-items: center;
  justify-content: space-around;
  padding: 0 24px;
}

.shapes-img {
  background-image: url("images/contact_form_shapes_mobile.svg");
  background-repeat: no-repeat;

  /* background-size: 100% 100%;
  width: 265px;
  height: 709px;
  position: absolute;
  margin-left: 113px;
  margin-top: 35px;
  z-index: 1; */
  background-size: 79% 100%;
  width: 265px;
  height: 705px;
  position: absolute;
  margin-left: 165px;
  margin-top: -48px;
  z-index: 1;
}

.form-page h2 {
  color: #fff;
  margin: 0;
  font-size: 40px;
}

.form-page p {
  color: #ebebff;
  font-size: 20px;
  line-height: 28px;
  text-align: center;
  font-style: normal;
  margin: 0;
}

.form {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.name,
.email {
  width: 327px;
  height: 48px;
  margin-bottom: 25px;
  border-radius: 8px;
  border: none;
}

.form .invalid-email {
  border: 2px solid red;
  outline: none;
  margin-bottom: 0 !important;
  background-color: rgb(241, 191, 191);
}

.form .valid-email {
  border: 2px solid green;
  margin-bottom: 0 !important;
  outline: none;
  background-color: rgb(185, 238, 185);
}

#errorMsg {
  color: rgb(187, 14, 14);
  margin-bottom: 25px;
  align-self: flex-start;
  margin-left: 8px;
}

.message {
  width: 327px;
  height: 170px;
  margin-bottom: 20px;
  border-radius: 8px;
}

.button.contact-button {
  width: 140px;
  height: 48px;
}

::placeholder {
  color: #858b94;
  font-size: 18px;
  font-weight: normal;
  font-family: Poppins, sans-serif;
  padding-left: 5px;
}

@media screen and (min-width: 992px) {
  body {
    width: 100%;
  }

  .menu {
    height: 40px;
    margin-top: 15px;
    margin-right: 142px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    background: unset;
    position: unset;
  }

  .menu li a {
    color: #344563;
    font-size: 15px;
    font-weight: 500;
  }

  .menu li:first-child {
    margin: 0;
  }

  .header .open-menu,
  .close-menu {
    display: none;
  }

  .headline {
    background-image: url(images/Header\ bg@2x.svg);
    width: 95%;
    background-repeat: no-repeat;
    background-position: center;
    background-size: 100% 100%;
    margin: 48px 8px 76px 35px;
    padding: 0;
  }

  .headline .headline-text-container {
    margin: 120px 100px;
    width: 80%;
  }

  .card-works {
    margin-top: 80px;
  }

  .card {
    margin: auto;
    width: 80%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
  }

  .card-2,
  .card-4 {
    flex-direction: row-reverse;
  }

  .card-1,
  .card-2,
  .card-3,
  .card-4 {
    position: relative;
  }

  .card .card-img-container {
    /* border: 1px solid #dfe1e6; */
    width: 55%;

    /* border-radius: 8px; */

    /* height: fit-content; */
  }

  .card-img-container img {
    border: 1px solid #dfe1e6;
    border-radius: 2%;
  }

  /* .card .card-img-container,
  .card-text {
    width: 50%;
    height: 448px;
    margin: 0;
  } */

  .card-text {
    width: 40%;
    padding: 24px;
  }

  .card-img-container:hover {
    transition-duration: 1s;
    transform: scale(1.1);
  }

  .card-img-1 {
    background-image: url(images/Snapshoot-Portfolio-desktop-1.png);
    margin-right: 22px;
  }

  .card-img-2 {
    background-image: url(images/Snapshoot-Portfolio-desktop-2.png);
    margin-left: 22px;
  }

  .card-img-3 {
    background-image: url(images/Snapshoot-Portfolio-desktop-3.png);
    margin-right: 22px;
  }

  .card-img-4 {
    background-image: url(images/Snapshoot-Portfolio-desktop-4.png);
    margin-left: 22px;
  }

  .modal-container {
    /* width: 1000px; */
    height: 1000px;
    position: absolute;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    top: -120px;
    background-color: #e5e5e5;
    z-index: 10;
  }

  .modal {
    width: 85%;
    height: 90%;
    position: relative;
    align-self: center;
    padding: 15px;
    overflow: hidden;
    z-index: 10;
    background-color: #fff;
    border: 1px solid #fff;
    border-radius: 12px;
  }

  .modal-1,
  .modal-2,
  .modal-3,
  .modal-4 {
    display: none;
  }

  .open-modal {
    display: flex;
  }

  .close-modal {
    position: absolute;
    top: 10px;
    right: 10px;
    color: #bdb9b9;
    font-weight: normal;
  }

  .modal .card-img-container {
    width: 100%;
    height: 60%;
  }

  .card .card-img-container img,
  .modal .card-img-container img {
    width: 100%;

    /* height: 100%; */
    display: inline-block;
    object-fit: cover;
  }

  .modal h2 {
    margin: 0;
  }

  .description-container {
    width: 100%;
    display: flex;
    padding-top: 10px;
  }

  .modal-description {
    width: 60%;
    font-size: 15px;
    color: #344563;
    line-height: 30px;
  }

  .about-me {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    background-image: none;
    height: 100vh;

    /* height: 718px; */
    width: 100%;
    margin-left: 0;
    margin-top: 80px;
  }

  .aboutme-skills {
    width: 60%;
    margin: 100px 100px 100px 0;
  }

  .aboutme-text {
    width: 40%;
    margin: 100px 45px 100px 100px;
  }

  .desktop-second-list {
    display: flex;
    padding: 0;
  }

  .second-list {
    display: flex;
    flex-direction: column;
    margin-right: 12px;
    width: 33%;
  }

  .form-container {
    background-image: url(images/desktop-contact\ 2.png);
    margin-top: -90px;
    height: 850px;
  }

  .form-wrapper {
    margin: 78px 75px 0 72px;
    position: relative;
    height: 750px;
  }

  .shapes-img {
    background-image: url(images/desktop-contact-1.png);
    margin: 0;
    height: 100%;
    width: 100%;
    box-sizing: border-box;
    z-index: -1;
  }

  .form-page p {
    width: 45%;
  }

  .name,
  .email,
  .message {
    width: 450px;
  }

  .name:hover,
  .email:hover,
  .message:hover {
    transition-duration: 1s;
    transform: translate(5px);
  }
}
